> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Dedicated Endpoint



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json patch /v0/dedicated_endpoints/{endpoint_id}
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260714-68e88e75b
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v0/dedicated_endpoints/{endpoint_id}:
    patch:
      tags:
        - dedicated-endpoints
      summary: Update Dedicated Endpoint
      operationId: update_dedicated_endpoint_v0_dedicated_endpoints__endpoint_id__patch
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Endpoint Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DedicatedEndpointUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DedicatedEndpoint'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DedicatedEndpointUpdateRequest:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Description
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
        gpu_type:
          anyOf:
            - $ref: '#/components/schemas/SupportedGPU'
            - type: 'null'
        gpu_count:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Gpu Count
        custom_weights_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Custom Weights Id
          default: UNSET
        scaling:
          anyOf:
            - $ref: '#/components/schemas/EndpointScaling'
            - type: 'null'
      type: object
      title: DedicatedEndpointUpdateRequest
    DedicatedEndpoint:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        enabled:
          type: boolean
          title: Enabled
        routing_key:
          type: string
          title: Routing Key
        model_name:
          type: string
          title: Model Name
        flavor_name:
          type: string
          title: Flavor Name
        region:
          type: string
          title: Region
        gpu_type:
          $ref: '#/components/schemas/SupportedGPU'
        gpu_count:
          type: integer
          title: Gpu Count
        custom_weights_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Custom Weights Id
        scaling:
          $ref: '#/components/schemas/EndpointScaling'
        deployment:
          $ref: '#/components/schemas/EndpointDeploymentStatus'
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - name
        - description
        - enabled
        - routing_key
        - model_name
        - flavor_name
        - region
        - gpu_type
        - gpu_count
        - custom_weights_id
        - scaling
        - deployment
        - created_at
      title: DedicatedEndpoint
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SupportedGPU:
      type: string
      enum:
        - gpu-l40s-d
        - gpu-l40s-a
        - gpu-h100-sxm
        - gpu-h200-sxm
        - gpu-b200-sxm
        - gpu-b200-sxm-a
        - gpu-b300-sxm
      title: SupportedGPU
    EndpointScaling:
      properties:
        min_replicas:
          type: integer
          minimum: 1
          title: Min Replicas
        max_replicas:
          type: integer
          minimum: 1
          title: Max Replicas
      type: object
      required:
        - min_replicas
        - max_replicas
      title: EndpointScaling
    EndpointDeploymentStatus:
      properties:
        ready_replicas:
          type: integer
          title: Ready Replicas
        status:
          $ref: '#/components/schemas/DeploymentStatus'
        readiness:
          $ref: '#/components/schemas/DeploymentReadiness'
      type: object
      required:
        - ready_replicas
        - status
        - readiness
      title: EndpointDeploymentStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DeploymentStatus:
      type: string
      enum:
        - starting
        - running
        - updating
        - stopping
        - stopped
        - error
      title: DeploymentStatus
    DeploymentReadiness:
      type: string
      enum:
        - ready
        - partially_ready
        - not_ready
      title: DeploymentReadiness
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````